It would be nice to have a new button in the Scripting composer toolbar to allow the user to stop the execution of a script.

History
#1 - 07/04/2016 07:50 PM - Joaquín  del Cerro Murciano
- File interrupt-thread.png added

De momento no existe eso como tal; pero tienes unaopcion para rodearlo.

Si instalas el addon de ScriptingComposerTools tienes la posibilidad de sacar un panel con los threads que hay en ejecucion en un momento dado.
Los scripts en gvSIG se lanzan en threads separados, con lo que si el script se ha quedado en un bucle te aparecera en esa lista. Los scripts en java
no se pueden "matar", pero podemos enviarle una señal de interrupcion, y si no esta atrapada en nuestro script este se interrumpira.

interrupt-thread.png

Esto no siempre te funcionara, ya que las acciones disparadas por botones de ventanas creadas en nuestro script si no hemos hecho nada especial,
se ejecutan en el thread de eventos de swing, y esas no podremos cancelarlas.

Ten en cuenta que las utilidades de ScriptingComposerTools son completamente esperimentales. Probablemente sign siendo experimentales hasta
gvSIG 2.4.0. Cuando salga la final comentare sobre ellas en un articulo.

#2 - 07/04/2016 07:50 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#3 - 07/05/2016 10:15 AM - Antonio Falciano

Joaquín, after testing the Scripting Composer Tools a little, I was thinking about something of similar: to capture the script thread and try to interrupt it
(without killing the JVM). In case of necessity, the list of running threads will be a great help, thank you very much!

#4 - 06/07/2017 02:07 PM - Álvaro Anguix
- Target version deleted (2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220))
